"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _react() {
  const data = _interopRequireDefault(require("react"));

  _react = function _react() {
    return data;
  };

  return data;
}

function _path() {
  const data = require("path");

  _path = function _path() {
    return data;
  };

  return data;
}

function _fs() {
  const data = require("fs");

  _fs = function _fs() {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * @Description: 
 * @Author: rodchen
 * @Date: 2020-12-08 09:10:30
 * @LastEditTime: 2021-01-03 21:41:21
 * @LastEditors: rodchen
 */
function _default(api) {
  api.describe({
    key: 'rofosula',
    config: {
      schema(joi) {
        return joi.object({
          locale: joi.object({
            default: joi.string(),
            baseNavigator: joi.boolean(),
            baseSeparator: joi.string()
          })
        });
      }

    },
    enableBy: api.EnableBy.config
  });
  api.onGenerateFiles(() => {
    const _api$config$rofosula$ = api.config.rofosula.locale,
          locale = _api$config$rofosula$ === void 0 ? {} : _api$config$rofosula$;
    const configProviderTpl = (0, _fs().readFileSync)((0, _path().join)(__dirname, '../template/configProvider.js'), 'utf-8');
    const configProviderWrapperPath = (0, _path().join)(api.paths.absTmpPath, 'SulaConfigProviderWrapper.js');
    (0, _fs().writeFileSync)(configProviderWrapperPath, api.utils.Mustache.render(configProviderTpl, locale), 'utf-8');
  });
  api.addRuntimePlugin(() => (0, _path().join)(api.paths.absTmpPath, './SulaConfigProviderWrapper.js'));
  api.addEntryCodeAhead(() => `
import { registerFieldPlugins, registerRenderPlugins, registerActionPlugins, registerFilterPlugins } from 'rofosula';

registerFieldPlugins();
registerRenderPlugins();
registerActionPlugins();
registerFilterPlugins();
`.trim());
}